commit:     2c66fc744d501d2769710c08278a023f73d3fafc
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  3 18:20:17 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Dec  3 20:52:56 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c66fc74

x11-misc/sct: EAPI 7.

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 x11-misc/sct/sct-0.5-r1.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/x11-misc/sct/sct-0.5-r1.ebuild b/x11-misc/sct/sct-0.5-r1.ebuild
new file mode 100644
index 00000000000..2fbc0da2e7c
--- /dev/null
+++ b/x11-misc/sct/sct-0.5-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Set color temperature of the screen"
+HOMEPAGE="https://www.umaxx.net/";
+SRC_URI="https://www.umaxx.net/dl/${P}.tar.gz";
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+
+DEPEND="
+       x11-libs/libXrender
+       x11-libs/libXrandr
+       x11-libs/libXdmcp
+       x11-libs/libXext
+       x11-libs/libX11
+       x11-libs/libXau
+       x11-libs/libxcb
+       dev-libs/libbsd"
+
+RDEPEND="
+       ${DEPEND}"
+
+src_prepare() {
+       default
+       sed \
+               -e 's:_BSD_SOURCE:_DEFAULT_SOURCE:g' \
+               -i Makefile || die
+}
+
+src_install() {
+       dobin "${PN}"
+       doman "${PN}.1"
+       einstalldocs
+}

Reply via email to